/// <reference types="socket.io-client" />
import { ServerData } from "./definitions/adventureland-server";
import { ServerRegion, ServerIdentifier, GData, MapName } from "./definitions/adventureland";
export declare class Observer {
    socket: SocketIOClient.Socket;
    G: GData;
    protected serverRegion: ServerRegion;
    protected serverIdentifier: ServerIdentifier;
    protected map: MapName;
    protected x: number;
    protected y: number;
    constructor(serverData: ServerData, g: GData, reconnect?: boolean);
    connect(): Promise<void>;
}
