"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const { Schema } = mongoose_1.default;
const CharacterSchema = new Schema({
    name: String,
    map: String,
    x: Number,
    y: Number,
    serverRegion: String,
    serverIdentifier: String,
    s: { type: Object, required: false },
    lastSeen: { type: Number, required: false }
});
CharacterSchema.index({ name: 1 }, { unique: true });
CharacterSchema.index({ serverRegion: 1, serverIdentifier: 1 });
CharacterSchema.index({ lastSeen: 1 });
exports.default = CharacterSchema;
//# sourceMappingURL=characters.schema.js.map