"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const { Schema } = mongoose_1.default;
const NPCSchema = new Schema({
    name: String,
    map: String,
    x: Number,
    y: Number,
    serverRegion: String,
    serverIdentifier: String,
    lastSeen: { type: Number, required: false }
});
NPCSchema.index({ serverRegion: 1, serverIdentifier: 1, name: 1 }, { unique: true });
NPCSchema.index({ lastSeen: 1 });
exports.default = NPCSchema;
//# sourceMappingURL=npcs.schema.js.map