"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const { Schema } = mongoose_1.default;
const UserSchema = new Schema({
    email: String,
    password: String,
    userID: { type: String, required: false },
    userAuth: { type: String, required: false }
});
UserSchema.index({ email: 1 }, { unique: true });
exports.default = UserSchema;
//# sourceMappingURL=users.schema.js.map