import { MapName } from "./adventureland";
export declare type Grid = number[][];
export declare type Grids = {
    [T in MapName]?: Grid;
};
export declare type NodeData = {
    map: MapName;
    x: number;
    y: number;
};
export declare type LinkData = NodeData & ({
    type: "transport";
    spawn: number;
} | {
    type: "town";
} | {
    type: "leave";
} | {
    type: "move";
});
